# Enum Class FilterSamReads.Filter

java.lang.Object
java.lang.Enum<FilterSamReads.Filter>
picard.sam.FilterSamReads.Filter

All Implemented Interfaces:
  `Serializable, Comparable<FilterSamReads.Filter>, Constable, org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`

Enclosing class:
  `FilterSamReads`

protected static enum FilterSamReads.Filter extends Enum<FilterSamReads.Filter> implements org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`excludeAligned`
`excludeReadList`
`excludeTagValues`
`includeAligned`
`includeJavascript`
`includePairedIntervals`
`includeReadList`
`includeTagValues`

## Method Summary

Modifier and Type
Method
Description
`String`
`getHelpDoc()`
`static FilterSamReads.Filter`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FilterSamReads.Filter[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### includeAligned

public static final FilterSamReads.Filter includeAligned

### excludeAligned

public static final FilterSamReads.Filter excludeAligned

### includeReadList

public static final FilterSamReads.Filter includeReadList

### excludeReadList

public static final FilterSamReads.Filter excludeReadList

### includeJavascript

public static final FilterSamReads.Filter includeJavascript

### includePairedIntervals

public static final FilterSamReads.Filter includePairedIntervals

### includeTagValues

public static final FilterSamReads.Filter includeTagValues

### excludeTagValues

public static final FilterSamReads.Filter excludeTagValues

## Method Details

### values

public static FilterSamReads.Filter[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FilterSamReads.Filter valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getHelpDoc

public String getHelpDoc()

Specified by:
  `getHelpDoc` in interface `org.broadinstitute.barclay.argparser.CommandLineParser.ClpEnum`